﻿/* 無障礙規範 */

:root {
    --yellow: #ffbf47; /* 無障礙focus主色 */
}

/* gotocenter */
#gotocenter {
    top: 0.5rem;
    left: -10rem;
    width: auto;
    height: auto;
    overflow: visible;
    clip: auto;
    white-space: normal;
    color: #000;
}

    #gotocenter:focus {
        left: 0;
        transition: left .1s ease-in;
    }

/* ::: */
#AU[accesskey], #AC[accesskey] {
    color: #fff !important;
}

    #AU[accesskey]:active, #AU[accesskey]:hover, #AU[accesskey]:focus,
    #AC[accesskey]:active, #AC[accesskey]:hover, #AC[accesskey]:focus {
        color: #000 !important;
    }

#AZ[accesskey] {
    color: var(--tundora) !important;
}

    #AZ[accesskey]:active, #AZ[accesskey]:hover, #AZ[accesskey]:focus {
        color: #fff !important;
    }

/* 連結框框 */
a:active, button:active, select:not([disabled]):active, input:not([disabled]):active,
a:hover, button:hover, select:not([disabled]):hover, input:not([disabled]):hover,
a:focus, button:focus, select:not([disabled]):focus, input:not([disabled]):focus {
    background-color: var(--yellow) !important;
}

/* 不要讓整條options都是黃的 */
select.form-select:not([disabled]):focus {
    background-color: #fff !important;
}

a:focus-visible, button:focus-visible, select:not([disabled]):focus-visible, input:not([disabled]):focus-visible {
    outline: #000 auto 1px !important;
    outline-offset: 1px !important;
}

/* datatable th */
.table-ttc th:focus {
    border: 2px dashed var(--yellow) !important;
}

/* 設定網站字型 大 中 小 的黃色背景 */
header .btn.selected {
    font-size: 1.1rem;
    font-weight: 800;
}

.form-control, .form-select, .btn, .page-link {
    font-size: inherit !important;
}
